Page MenuHomePhabricator

Add script profiling functionality to the config backend
Closed, ResolvedPublic

Description

When people complain about slow commit times, finding the bottleneck can be a task of its own. Even rudimentary script execution time measurements could save quite some time.

Sadly in the current backend it's hard to make that debug information granular and well-formatted, but some functionality still can be added.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

dmbaturin triaged this task as Normal priority.
pasik added a subscriber: pasik.Mar 12 2019, 6:06 PM
dmbaturin closed this task as Resolved.Apr 15 2019, 12:13 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 6 2019, 4:54 PM